Retrieve a settlement rule
curl --request GET \
--url https://production.hifibridge.com/v2/virtual-accounts/settlement-rules/{ruleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules/{ruleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/virtual-accounts/settlement-rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "15c786fb-de7a-520c-a4b3-f312d4a122d2",
"chain": "BASE",
"includeHIFIFee": false,
"rules": [
{
"type": "PERCENTAGE",
"calculationModel": "FIXED",
"value": 0.001,
"tiers": null,
"walletAddress": "0x15FB50680fEB2f726413416665c25f9B397b047b"
},
{
"type": "FIXED",
"calculationModel": "FIXED",
"value": 0.5,
"tiers": null,
"walletAddress": "0x15FB50680fEB2f726413416665c25f9B397b047b"
},
{
"type": "PERCENTAGE",
"calculationModel": "TIERED",
"value": null,
"tiers": [
{
"max": "1000",
"min": "",
"value": 0.0007
},
{
"max": "2000",
"min": "1000",
"value": 0.0005
},
{
"max": "",
"min": "2000",
"value": 0.0002
}
],
"walletAddress": "0x15FB50680fEB2f726413416665c25f9B397b047b"
}
]
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Settlement Rules
Retrieve a settlement rule
Get an existing settlement rule detail.
GET
/
v2
/
virtual-accounts
/
settlement-rules
/
{ruleId}
Retrieve a settlement rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the settlement rule
Response
Success
Unique identifier for the settlement rule
Example:
"15c786fb-de7a-520c-a4b3-f312d4a122d2"
Blockchain network for the settlement rule
Available options:
BASE, POLYGON, ETHEREUM, SOLANA, TRON Example:
"BASE"
Whether to include HiFi's fee in addition to custom rules, please contact HiFi support if you want to include HiFi's fee
Example:
false
Array of settlement rules
Show child attributes
Show child attributes
⌘I